/*
 * Copyright (C) 2015 Tet Woo Lee
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package nz.twlee.imagej.common;

import ij.gui.GenericDialog;

/**
 *
 * @author Tet Woo Lee
 */
public class BooleanParameter extends AbstractParameter {

    public BooleanParameter(String name, String description, 
            boolean defaultValue) {
        this.name = name;
        this.description = description;
        this.value = defaultValue;
    }
    
    public boolean value;
    

    @Override
    public void loadParameter() {
        value = ij.Prefs.get(name,value);
    }

    @Override
    public void saveParameter() {
        ij.Prefs.set(name,value);
    }

    @Override
    public void populateDialog(GenericDialog dialog) {
        dialog.addCheckbox(getDialogText(),value);
    }

    @Override
    public void retrieveFromDialog(GenericDialog dialog) {
        value = dialog.getNextBoolean();
    }
    
}
